org.apache.tomcat.dbcp.pool.impl

## Class GenericKeyedObjectPool.Config

- java.lang.Object
- - org.apache.tomcat.dbcp.pool.impl.GenericKeyedObjectPool.Config

- Enclosing class:
    GenericKeyedObjectPool<K,V>

      public static class GenericKeyedObjectPool.Config
      extends java.lang.Object

  A simple "struct" encapsulating the configuration information for a `GenericKeyedObjectPool`.
  See Also:
    `GenericKeyedObjectPool.GenericKeyedObjectPool(KeyedPoolableObjectFactory,GenericKeyedObjectPool.Config)`, `GenericKeyedObjectPool.setConfig(org.apache.tomcat.dbcp.pool.impl.GenericKeyedObjectPool.Config)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `lifo`
    `int` | `maxActive`
    `int` | `maxIdle`
    `int` | `maxTotal`
    `long` | `maxWait`
    `long` | `minEvictableIdleTimeMillis`
    `int` | `minIdle`
    `int` | `numTestsPerEvictionRun`
    `boolean` | `testOnBorrow`
    `boolean` | `testOnReturn`
    `boolean` | `testWhileIdle`
    `long` | `timeBetweenEvictionRunsMillis`
    `byte` | `whenExhaustedAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericKeyedObjectPool.Config()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxIdle

          public int maxIdle

      See Also:
        `GenericKeyedObjectPool.setMaxIdle(int)`

    - #### maxActive

          public int maxActive

      See Also:
        `GenericKeyedObjectPool.setMaxActive(int)`

    - #### maxTotal

          public int maxTotal

      See Also:
        `GenericKeyedObjectPool.setMaxTotal(int)`

    - #### minIdle

          public int minIdle

      See Also:
        `GenericKeyedObjectPool.setMinIdle(int)`

    - #### maxWait

          public long maxWait

      See Also:
        `GenericKeyedObjectPool.setMaxWait(long)`

    - #### whenExhaustedAction

          public byte whenExhaustedAction

      See Also:
        `GenericKeyedObjectPool.setWhenExhaustedAction(byte)`

    - #### testOnBorrow

          public boolean testOnBorrow

      See Also:
        `GenericKeyedObjectPool.setTestOnBorrow(boolean)`

    - #### testOnReturn

          public boolean testOnReturn

      See Also:
        `GenericKeyedObjectPool.setTestOnReturn(boolean)`

    - #### testWhileIdle

          public boolean testWhileIdle

      See Also:
        `GenericKeyedObjectPool.setTestWhileIdle(boolean)`

    - #### timeBetweenEvictionRunsMillis

          public long timeBetweenEvictionRunsMillis

      See Also:
        `GenericKeyedObjectPool.setTimeBetweenEvictionRunsMillis(long)`

    - #### numTestsPerEvictionRun

          public int numTestsPerEvictionRun

      See Also:
        `GenericKeyedObjectPool.setNumTestsPerEvictionRun(int)`

    - #### minEvictableIdleTimeMillis

          public long minEvictableIdleTimeMillis

      See Also:
        `GenericKeyedObjectPool.setMinEvictableIdleTimeMillis(long)`

    - #### lifo

          public boolean lifo

      See Also:
        `GenericKeyedObjectPool.setLifo(boolean)`

  - ### Constructor Detail

    - #### GenericKeyedObjectPool.Config

          public GenericKeyedObjectPool.Config()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.